<?php
/**
 * Content classes for themes primary tags.
 *
 * @since 0.0.1
 *
 */

// Add off-canvas-content.
add_filter( 'wp_clf_lite_root_content_classes', 'wp_clf_lite_root_content_classes_off_canvas_content', 10, 2 );
add_filter( 'body_class', 'wp_clf_lite_add_body_classes_featured_custom_image', 10, 1 );
// add_filter( 'post_class', 'wp_clf_lite_add_post_classes_article_tag', 10, 1 );

// Add grid column classes to #primary div.
// add_filter( 'wp_clf_lite_primary_content_classes', array( $this, 'wp_clf_lite_primary_content_class__add_grid_colums' ), 10, 2 );

// add_filter( 'body_class', array( $this, 'body_class__student_dashboard' ) )


/**
 * Add off-canvas-content to #content
 * #content content area
 * root_content_classes() method in WP_CLF_Lite_Content_Classes
 *
 * @since 0.1.11
 *
 * @param(array) $classes - Pre-existing classes for this Tag
 * @param(string) The additional comma-separated list of classes passed
 * @return (array) The modified array of classes
 */
function wp_clf_lite_root_content_classes_off_canvas_content( $classes ) {

	$classes[] = 'off-canvas-content';

		return $classes;

}/* wp_clf_lite_root_content_classes_off_canvas_content() */


/**
 * foundation grid columns
 *#primary main content area
 * primary_content_class() method in WP_CLF_Lite_Content_Classes
 *
 * @since 1.0.0
 *
 * @param (array) $classes - Pre-existing classes for this Tag
 * @param (string) The additional comma-separated list of classes passed
 * @return (array) The modified array of classes
 */

function wp_clf_lite_primary_content_class__add_grid_colums( $classes ) {

	$primary_class = ( 'yes' === get_query_var( 'studentdashboard' ) ) ?  'primary' : 'primary column';

	$classes[] = $primary_class;

	return $classes;

}/* wp_clf_lite_primary_content_class__add_grid_colums() */


function body_class__student_dashboard( $classes ) {

	$primary_class = ( 'yes' === get_query_var( 'studentdashboard' ) ) ?  'student-dashboard' : '';

	$classes[] = $primary_class;

	return $classes;

}/* body_class__student_dashboard() */


/**
 * Add body class on frontpage/home if post type has featured or custom header image
 * body
 * root_content_classes() method in WP_CLF_Lite_Content_Classes
 *
 * @since 0.1.11
 *
 * @param(array) $classes - Pre-existing classes for this Tag
 * @param(string) The additional comma-separated list of classes passed
 * @return (array) The modified array of classes
 */
function wp_clf_lite_add_body_classes_featured_custom_image( $classes ) {

	if ( has_post_thumbnail() ||  has_header_image() ) :

		$classes[] = 'has-banner-image';

	endif;

	return $classes;

}/* wp_clf_lite_add_body_classes_featured_custom_image() */

/**
 * Add post class for columns
 * article
 * post_class()
 *
 * @since 0.1.12
 *
 * @param(array) $classes - Pre-existing classes for this Tag
 * @param(string) The additional comma-separated list of classes passed
 * @return (array) The modified array of classes
 */
function wp_clf_lite_add_post_classes_article_tag( $classes ) {

	$classes[] = 'column';

		return $classes;

}/* wp_clf_lite_add_body_classes_featured_custom_image() */
