<?php
class UBC_CLF_Lite_Customizer {

	/**
	 * Set up our actions and filters
	 *
	 * @since 1.0.0
	 *
	 * @param null
	 * @return null
	 */

	public function init() {

		//Edit customizer
		add_action( 'customize_register', array( $this, 'customizer_remove_defaults_customize' ), 10, 2 );

	}/* init() */

	public function customizer_remove_defaults_customize( $wp_customize ) {


			//Remove unwanted sections
		$wp_customize->remove_section( 'themes' );
		$wp_customize->remove_section( 'title_tagline' );
		$wp_customize->remove_section( 'background_image' );

		//Remove unwanted controls
		$wp_customize->remove_control( 'blogdescription' );
		$wp_customize->remove_control( 'header_textcolor' );
		$wp_customize->remove_control( 'display_header_text' );
		$wp_customize->remove_control( 'background_color' );


		//Colors for link and body
		$colors = array();
		$colors[] = array(
			'slug' => 'content_text_color',
			'default' => '#333',
			'label' => __( 'Content Text Color' ),
		);
		$colors[] = array(
			'slug' => 'content_link_color',
			'default' => '#88C34B',
			'label' => __( 'Content Link Color' ),
		);
		foreach ( $colors as $color ) {
			// SETTINGS
			$wp_customize->add_setting(
				$color['slug'],
				array(
					'default' => $color['default'],
					'type' => 'option',
					'capability' => '',
					'edit_theme_options',
				)
			);
			// CONTROLS
			$wp_customize->add_control(
				new WP_Customize_Color_Control(
					$wp_customize,
					$color['slug'],
					array(
						'label' => $color['label'],
						'section' => 'colors',
						'settings' => $color['slug'],
					)
				)
			);
		}

		// Add Section for Course info
		$wp_customize->add_section(
			'wp_clf_lite_customize_course_info_box',
			array(
					'title' => 'Course Information',
					'description' => 'Information related to the course.',
					'priority' => 35,
			)
		);

		$wp_customize->add_setting(
			'course_title',
			array(
					'default' 	=> 'Course Title',
					//'sanitize_callback'		=>	'customizer_text_field_sanatize',
					'capability'	=> 'edit_theme_options',
				)
		);

		$wp_customize->add_control(
			'course_title',
			array(
				'label'		=> 'Enter the courses title.',
				'description'	=> 'The name of the course.',
				'section'	=> 'wp_clf_lite_customize_course_info_box',
				'type'		=> 'text',
			)
		);

		// add setting to to wp_clf_lite_customize_course_info_box section
		$wp_customize->add_setting(
			'faculty_school',
			array(
					'default' => 'Faculty or School',
			)
		);
		// add controller to faculty_school setting
		// *** STILL NEEDS SANITATION http://themefoundation.com/wordpress-theme-customizer/
		$wp_customize->add_control(
			'faculty_school',
			array(
					'label' 	=> 'Faculty or School',
					'section' 	=> 'wp_clf_lite_customize_course_info_box',
					'type' 		=> 'select',
					'choices' 	=> array(
							'' 						=> 'N/A',
							'Facutly of Education' 	=> 'Facutly of Education',
							'Faculty of Medicine' 	=> 'Faculty of Medicine',
							'jet-fuel' 				=> 'Jet Fuel',
							'nuclear-energy' 		=> 'Nuclear Energy',
							'Division of Organizational Behaviour and Human Resources'					=> 'dobhr',
					),
			)
		);

		$wp_customize->add_setting(
			'course_decription',
			array(
					'default' => 'Please write the courses description.',
			)
		);

		$wp_customize->add_control(
			'course_decription',
			array(
					'label' => 'Course Description',
					'section' => 'wp_clf_lite_customize_course_info_box',
					'type' => 'textarea',
			)
		);

	}/* customizer_remove_defaults_customize() */

	public function customizer_text_field_sanatize( $input ) {
			return wp_kses_post( force_balance_tags( $input ) );
	}

}/* class UBC_CLF_Lite_Customizer() */

// Initialize our child theme changes
add_action( 'after_setup_theme', 'after_setup_theme__ubc_clf_lite_customizer_init', 15 );

/**
 * Initialize the UBC_CLF_Lite_Customizer class on after_setup_theme so we're
 * up and running AFTER the parent theme (priority 15)
 *
 * @since 1.0.0
 *
 * @param null
 * @return null
 */

function after_setup_theme__ubc_clf_lite_customizer_init() {

	$UBC_CLF_Lite_Customizer = new UBC_CLF_Lite_Customizer();
	$UBC_CLF_Lite_Customizer->init();

}/* after_setup_theme__ubc_clf_lite_init() */
