<?php
/**
 * Template for showing custom header part
 * loadd by UBC_CLF_Lite::add_ubc_wp_clf_lite_custom_header()
 *
 * @author David Brabbins
 * @since 1.0
 */

$stackholder            = get_theme_mod( 'faculty_school' );
$course_title           = empty( get_theme_mod( 'course_title' ) ) ? 'Please Enter Course Tilte' : get_theme_mod( 'course_title' );

$get_post_type          = get_post_type();
$course_button_context  = 'section' === $get_post_type  ? 'menu' : 'info';

$home_url               = home_url( '/' );
$login_url              = is_home() ? home_url( '/' ) : get_permalink();

?>

  <div id="topnav" class="top-bar row expanded align-middle"  aria-label="Top Navigation" data-topbar>
  	<div id="ubc-identity" class="top-bar-title ubc-logo site-title small-2 large-3 columns" role="banner">
  		<a href="http://www.ubc.ca" rel="home" title="Go to The University of British Columbia website">
  		  <svg class="ui-icon ubc-logo-icon"><use xlink:href="#ubc-logo"></use><title>University of British Columbia's (UBC) logo</title><desc>Clicking on the UBC logo will go to ubc.ca</desc></svg>
  		  <span class="show-for-sr">The University of British Columbia</span>
  		</a>
  	</div><!-- #ubc-identity -->
  	<div id="site-faculty-name" class="top-bar-title text-center small-4 medium-6 large-6 columns">
  	  <a href="<?php echo esc_url( $home_url );?>" title="Course home">

  		<?php if ( get_theme_mod( 'faculty_school' ) ) : ?>

  		  <span class="course-stakeholder show-for-medium ellipsis-width"><?php echo esc_html( $stackholder ); ?></span>

  		<?php endif; ?>

  		<span class="course-title ellipsis-width"><?php echo esc_html( $course_title ); ?></span>
  	  </a>
  	</div><!-- #site-faculty-name -->
  	<div class="small-6 medium-4 large-3 columns text-center">
  		<div class="row small-collapse top-bar-buttons align-middle align-right">
  			<button class="sidebar-reveal-button hide-for-large" data-toggle="offCanvas" data-effect="st-effect-1">
  				<span class="svg-container" aria-hidden="true">
  					<svg class="ui-icon menu-icon right" aria-hidden="true"><use xlink:href="#list-menu"></use></svg>
  				</span>
  				<span class="menu-name">Course<span> <?php echo esc_html( $course_button_context ); ?></span></span>
  			</button>
  			<button class="main-menu" data-toggle="offCanvasRight1">
  				<svg class="ui-icon menu-icon" aria-hidden="true"><use xlink:href="#menu"></use></svg>
  				<span class="menu-name">Site<span> menu</span></span>
  			</button>

    		<?php if ( ! is_user_logged_in() ) : ?>

    			<a class="link user-menu" href="<?php echo esc_url( wp_login_url( $login_url ) ); ?>"><svg class="ui-icon user"><use xlink:href="#user"></use></svg><p class="menu-name">Login</p></a>

    		<?php endif; ?>

  		</div><!-- .top-bar-buttons -->
  	</div><!-- #site-main-menu -->
  </div><!-- #topnav -->
