<?php
/**
* Template for showing custom sidebar content
* load by UBC_CLF_Lite::add_ubc_wp_clf_lite_sidebar()
*
* @author David Brabbins
* @since 1.0
*/

$get_post_type			= get_post_type();
$get_post_types 		= get_post_types();
$excluded_post_types	= array( 'section' );
$use_post_types 		= array_diff( $get_post_types, $excluded_post_types );

$home_url				= home_url( '/' );

global $post;

if ( ! is_a( $post, 'WP_Post' ) ) {
	return;

}

?>

<div class="sb-buttons row expanded">

	<?php if ( ! is_home() || ! is_front_page() ) : ?>

	<a class="button secondary return-home column" href="<?php echo esc_url( $home_url ); ?>"><svg class="ui-icon pencil" aria-hidden="false"><use xmlns:xlink="http://www.w3.org/1999/xlink" xlink:href="#home"></use></svg> Return home</a>

	<?php endif; ?>

	<button class="close-button secondary button column hide-for-large" aria-label="Close menu" type="button" data-close>
		<span aria-hidden="true">&times; Close sidebar</span>
	</button>

</div>

<?php if ( in_array( $get_post_type, $use_post_types ) || is_404() || is_archive() || is_bbpress() ) : ?>

 <header class="small-12 column">
	<h2 class="main-widget-title">Course information</h2>
 </header>

<?php endif; ?>

<?php if ( ! in_array( $get_post_type, $use_post_types ) && ! is_bbpress() ) : ?>

	<?php require_once( trailingslashit( get_stylesheet_directory() ) . '/template-parts/custom-sidebar-course-tabs.php' ); ?>

<?php endif; ?>
